<?xml version="1.0" encoding="UTF-8"?>
<alarms>
<configuration>
	<zone name="EAR1"/>
</configuration>
<providers>
	<provider type="DIMon">
		<server name="DIS_DNS" display="DIM DNS"/>
		<server name="EACS" display="EACS">
			<services>
				<service name="EACS/INFO/Cmd" />
				<service name="EACS/Command/Cmd" />
				<service name="EACS/INFO/Ack" />
				<service name="EACS/SLOW" />
				<service name="EACS/Command/Ack" />
				<service name="EACS/EACSState" />
				<service name="EACS/MODH/Cmd" />
				<service name="EACS/RCTR/Cmd" />
				<service name="EACS/MODH/Ack" />
				<service name="EACS/EVEH" />
				<service name="EACS/BEAM" />
				<service name="EACS/RCTR/Ack" />
				<service name="EACS/RunInfo/Aqn" />
			</services>
		</server>
		<server name="ntof-timing" display="Timing server"/>
                <server name="ntof-proxy" display="Proxy server"/>
                <server name="TOF_BCT" display="BCT reader"/>
	</provider>
	
	<provider type="DIMState" service="ntofdaq-m3/SystemState" display="M3 DAQ">
		<exclude>
			<!-- Exclude chassis intrusion -->
			<error name="Chassis Intru IPMI critical" />
		</exclude>
	</provider>
	<provider type="DIMState" service="ntofdaq-m3/ntof-castor-state" display="M3 CASTOR" />	
	<provider type="DIMState" service="ntofdaq-m3.cern.ch/AcquisitionState" display="M3 AQN state" />
	<provider type="DIMState" service="ntofdaq-m3.cern.ch/DaqState" display="M3 DAQ state" />
	<provider type="DIMState" service="ntofdaq-m3.cern.ch/WriterState" display="M3 writer state" />

	<provider type="DIMState" service="ntofdaq-pr01/SystemState" display="Application server">
			<exclude>
					<!-- Exclude chassis intrusion -->
					<error name="Chassis Intru IPMI critical" />
			</exclude>
	</provider>

	<provider type="DIMState" service="ntofdaq-pr01/ntof-castor-state" display="PR01 CASTOR" />

	<provider type="DIMState" service="HV/HighVoltageState" display="High voltage" />

	<!-- DIMDataSet is used to monitor some variables -->
	<provider type="DIMDataSet" service="EACS/RunInfo/Aqn" refresh="600" severity="WARNING" />

	<provider type="DIMDataSet" service="FDED-00375_CT1/CONDUCT_ALLER">
		<!-- min, max, delay are not mandatory -->
		<data name="CT1 value" field="value" min="0.5" max="101.0" delay="180" severity="ERROR" unit="&#xb5;S/cm" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_CT2/CONDUCT_RETOUR">
		<data name="CT2 value" field="value" min="0" max="0.2" delay="180" severity="ERROR" unit="&#xb5;S/cm" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_CT3/MESURE">
		<data name="CT3 value" field="value" min="50" max="70" delay="180" severity="ERROR" unit="&#xb5;S/cm" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_CT4/MESURE">
		<data name="CT4 value" field="value" min="50" max="70" delay="180" severity="ERROR" unit="&#xb5;S/cm" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_FT1/DEBIT_ALLER">
		<data name="FT1 value" field="value" min="0.5" max="0.8" delay="180" severity="ERROR" unit="&#x33a5;/h" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_FT2/DEBIT_ALLER">
		<data name="FT2 value" field="value" min="4" max="7" delay="180" severity="ERROR" unit="&#x33a5;/h" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_O2T1/OXYGENE_ALLER">
		<data name="O2T1 value" field="value" min="0.5" max="0.8" delay="180" severity="ERROR" unit="mg/l" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_O2T2/OXYGENE_RETOUR">
		<data name="O2T2 value" field="value" min="0.0" max="0.05" delay="180" severity="ERROR" unit="mg/l" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT2/TEMP_SORTIE">
		<data name="TT2 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT3/TEMP_SORTIE"> 
		<data name="TT3 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT4/TEMP_ENTREE">
		<data name="TT4 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT5/TEMP_ALLER">
		<data name="TT5 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT6/TEMP_ALLER">
		<data name="TT6 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT7/TEMP_RETOUR">
		<data name="TT7 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT8/TEMP_RETOUR">
		<data name="TT8 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT9/MESURE">
		<data name="TT9 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_TT10/MESURE">
		<data name="TT10 temperature value" field="value" min="16" max="23" delay="0" severity="ERROR" unit="&#x2103;" />
	</provider>

	<provider type="DIMDataSet" service="FDED-00375_PT1/PRESSION_ALLER">
		<data name="PT1 pressure value" field="value" min="0.2" max="0.5" delay="180" severity="ERROR" unit="Bar" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_PT2/PRESSION_ALLER">
		<data name="PT2 pressure value" field="value" min="0.2" max="0.35" delay="180" severity="ERROR" unit="Bar" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_PT3/PRESSION_ALLER">
		<data name="PT3 pressure value" field="value" min="0.4" max="0.55" delay="180" severity="ERROR" unit="Bar" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_PT4/PRESSION_RETOUR">
		<data name="PT4 pressure value" field="value" min="0.1" max="0.25" delay="180" severity="ERROR" unit="Bar" />
	</provider>
	<provider type="DIMDataSet" service="FDED-00375_PT5/PRESSION_RETOUR">
		<data name="PT5 pressure value" field="value" min="0.3" max="0.45" delay="180" severity="ERROR" unit="Bar" />
	</provider>

	<provider type="DIMDataSet" service="TOF_VGR1.PR">
		<data name="VGR1 vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR1A.PR">
		<data name="VGR1A vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR2.PR">
		<data name="VGR2 vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR2A.PR">
		<data name="VGR2A vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR3.PR">
		<data name="VGR3 vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR3A.PR">
		<data name="VGR3A vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR4.PR">
		<data name="VGR4 vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR4A.PR">
		<data name="VGR4A vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR_EXP.PR">
		<data name="VGR4_EXP vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR_EXP_A.PR">
		<data name="VGR4_EXP_A vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>
	<provider type="DIMDataSet" service="TOF_VGR_EXP_B.PR">
		<data name="VGR4_EXP_B vacuum value" field="__DIP_DEFAULT__" max="0.5" delay="0" severity="ERROR" />
	</provider>

	<provider type="DIMDataSet" service="PLC/Aqn"> <!-- refresh="10"> -->
		<!-- min, max, delay are not mandatory -->
		<data name="Racks temperature" field="Rack temperature" min="10.0" max="40.0" delay="0" severity="ERROR" />
		<data name="Beam area temperature" field="Beam area temperature" min="10.0" max="40.0" delay="0" severity="ERROR" />
	</provider>

	<!-- Special computations for target cooling -->
	<!-- n_TOF mess -->
	<provider type="TargetCooling" tempDiff="0.7" />
</providers>
</alarms>
